<?php

/*
 * LMS version 1.11-cvs
 *
 *  (C) Copyright 2001-2009 LMS Developers
 *
 *  Please, see the doc/AUTHORS for more information about authors!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 *
 *  $Id: netdevmap2.php,v 1.0 2009/10/28 07:45:51 sivy Exp $
 */
 
require_once(LIB_DIR.'/GoogleMapAPI.class.php');
$GMAP = new GoogleMapAPI('map', '', $DB);
$apikey = '';
if($apikey)
{
$GMAP->setAPIKey($apikey);

$GMAP->setWidth('100%');
$GMAP->setHeight('90%');
$GMAP->enableOverviewControl();


#$netdev = $DB->GetAll('SELECT * FROM netdevices WHERE 1');
$netdev = $DB->GetAll('SELECT * FROM netdevices');
foreach($netdev as $row)
{
		$GMAP->addMarkerIcon('/img/netdev.gif','',6,8,10,10);
		$src = '?m=netdevusershort&id=' . $row['id'];
		$html = "<iframe src='$src' marginwidth='0' marginheight='0' frameborder='0' scrolling='auto' ></iframe>";

		if($row['geolon'])
		{
			$GMAP->addMarkerByCoords($row['geolon'],$row['geolat'],$html,$row['name']);
		}
		else
		{
			$GMAP->addMarkerByAddress($row['location'],'',$html,$row['name']);
		}
}

$links = $DB->GetAll('SELECT src, dst, type FROM netlinks');

if($links) foreach($links as $link)
{
# pobrac wspolrzedne
		$srclon = $DB->GetOne('SELECT geolon FROM netdevices WHERE id =' . $link['src']);
		$srclat = $DB->GetOne('SELECT geolat FROM netdevices WHERE id =' . $link['src']);
		$dstlon = $DB->GetOne('SELECT geolon FROM netdevices WHERE id =' . $link['dst']);
		$dstlat = $DB->GetOne('SELECT geolat FROM netdevices WHERE id =' . $link['dst']);
# pobrac adresy
		$srcname = $DB->GetOne('SELECT location FROM netdevices WHERE id =' . $link['src']);
		$dstname = $DB->GetOne('SELECT location FROM netdevices WHERE id =' . $link['dst']);

# znalezc wspolrzedne na podstawie adresu dla lokalizacji bez podnaych wspolrzednych

		if(!$srclon)
		{
		    $srcaddres = $GMAP->getGeocode($srcname);
		    $srclon = $srcaddres['lon'];
		    $srclat = $srcaddres['lat'];
		}
		if(!$dstlon)
		{
		    $dstaddres = $GMAP->getGeocode($dstname);
		    $dstlon = $dstaddres['lon'];
		    $dstlat = $dstaddres['lat'];
		}

		if(($srclon) && ($srclat) && ($dstlon) && ($dstlat))
		{

# rysowac linie byCoordinates

#				$GMAP->addPolyLineByCoords($srclon,$srclat,$dstlon,$dstlat,'#ff0000',5,50);
#				$GMAP->addPolyLineByAddress($srcname,$dstname,'#ff0000',5,50);


		if(!$link['type'])
		{
#				$GMAP->addPolyLineByAddress($srcname,$dstname,'#ff0000',5,50);
				$GMAP->addPolyLineByCoords($srclon,$srclat,$dstlon,$dstlat,'#ff0000',5,50);
		}
		elseif($link['type'] == 2)
		{
#				$GMAP->addPolyLineByAddress($srcname,$dstname,'#0084ff',5,50);
				$GMAP->addPolyLineByCoords($srclon,$srclat,$dstlon,$dstlat,'#0084ff',5,50);
		}
		else
		{
				$GMAP->addPolyLineByCoords($srclon,$srclat,$dstlon,$dstlat,'#40ff00',5,50);
		}
		}

}

}

$layout['pagetitle'] = trans('Network Map');

	$SMARTY->assign('google_map_header',$GMAP->getHeaderJS());
   $SMARTY->assign('google_map_js',$GMAP->getMapJS());
   $SMARTY->assign('google_map',$GMAP->getMap());
#   $SMARTY->assign('emptydb', sizeof($deviceslist) ? FALSE : TRUE);
   $SMARTY->assign('emptydb', 'TRUE');
	$SMARTY->assign('APIkey',$apikey);

	$SMARTY->display('netdevmap3.html'); 


?>
